Bug 190934 - Include more rsync docs and examples
Include more rsync docs and examples
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsync (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Simo Sorce
bzcl34nup
: EasyFix, Patch, Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-06 17:20 EDT by Ville Skyttä
Modified: 2008-04-04 17:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 17:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Include useful docs and examples (640 bytes, patch)
2006-05-06 17:20 EDT, Ville Skyttä
no flags Details | Diff
Include useful docs and examples (715 bytes, patch)
2008-04-03 15:42 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2006-05-06 17:20:29 EDT
The rsync tarball contains some useful docs and examples (some of which are
referred to in its docs) which aren't currently shipped in the package. 
Suggested fix attached.
Comment 1 Ville Skyttä 2006-05-06 17:20:29 EDT
Created attachment 128695 [details]
Include useful docs and examples
Comment 2 Bug Zapper 2008-04-03 13:14:41 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 3 Ville Skyttä 2008-04-03 15:37:35 EDT
Still unresolved as of current Rawhide, 3.0.1-0.3.pre3.fc9.
Comment 4 Ville Skyttä 2008-04-03 15:42:23 EDT
Created attachment 300322 [details]
Include useful docs and examples

Updated patch against current Rawhide.	Should be a no-brainer...
Comment 5 Simo Sorce 2008-04-03 15:43:34 EDT
Thanks ville, picking up for 3.0.1 final.
Comment 6 Ville Skyttä 2008-04-04 16:13:42 EDT
The problem with the way this got implemented in 3.0.1-1, ie. having the
support/ files packaged executable is that that results in extra dependencies on
perl stuff, see rpmlint output.  The patch I posted does a "chmod -x" to prevent
this problem.


rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/file-attr-restore perl(Getopt::Long)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/munge-symlinks perl(Getopt::Long)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/patch-update perl(Getopt::Long)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/rsyncstats perl(Getopt::Long)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/atomic-rsync /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/cull_options /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/cvs2includes /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/extern-squish /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/file-attr-restore /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/files-to-excludes /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/git-set-file-times /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/logfilter /usr/bin/perl
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/mnt-excl
/usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/munge-symlinks /usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/patch-update /usr/bin/perl
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/rrsync
/usr/bin/perl
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/rsyncstats /usr/bin/perl
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/rrsync
perl(File::Glob)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/atomic-rsync perl(Cwd)
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/mnt-excl
perl(Cwd)
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/rrsync
perl(Cwd)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/atomic-rsync perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/cull_options perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/cvs2includes perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/extern-squish perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/file-attr-restore perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/files-to-excludes perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/git-set-file-times perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/logfilter perl(strict)
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/mnt-excl
perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/munge-symlinks perl(strict)
rsync.x86_64: W: doc-file-dependency
/usr/share/doc/rsync-3.0.1/support/patch-update perl(strict)
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/rrsync
perl(strict)
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/rrsync
perl(constant)
rsync.x86_64: W: doc-file-dependency /usr/share/doc/rsync-3.0.1/support/rrsync
perl(Socket)
Comment 7 Simo Sorce 2008-04-04 16:47:05 EDT
True, and make sense, -2 coming now.
Comment 8 Simo Sorce 2008-04-04 17:26:12 EDT
3.0.1-2 built, thanks for checking.

Note You need to log in before you can comment on or make changes to this bug.